Shipment Lines
The shipment lines resource.
Basehttps://rest.carbon.ms/shipmentLines
GET
/shipmentLinesList shipment liness
Retrieve a paginated list of shipment liness. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/shipmentLines
curl --request GET \
--url 'https://rest.carbon.ms/shipmentLines?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"shipmentId": "xyz789",
"lineId": "xyz789",
"itemId": "xyz789",
"orderQuantity": 10,
"outstandingQuantity": 10,
"shippedQuantity": 10,
"locationId": "xyz789"
}
]GET
/shipmentLinesRetrieve a shipment lines
Fetch a single shipment lines by filtering on `id`.
Query parameters
idstringMatch on the shipment lines's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/shipmentLines
curl --request GET \
--url 'https://rest.carbon.ms/shipmentLines?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"shipmentId": "xyz789",
"lineId": "xyz789",
"itemId": "xyz789",
"orderQuantity": 10,
"outstandingQuantity": 10,
"shippedQuantity": 10,
"locationId": "xyz789"
}